<?php
if ( $_SESSION['IsAdmin'] )
{
	echo "<h1>Unternehmensseiten</h1>\n";
	echo "<p>Folgende Seiten werden im Bereich <span class=\"hinweis\">Das Unternehmen</span> angezeigt!</h2>\n";
	if ("Speichern" == $_POST['Send']) {
		if (isset($_POST['uu'])) {
			$sql11 = 'UPDATE
						US
					SET
						Wert = "on"
					WHERE ID = "1";';
		}
		else {
			$sql11 = 'UPDATE
						US
					SET
						Wert = ""
					WHERE ID = "1";';
		}
			
		$stmt11 = $db->prepare($sql11);
		if (!$stmt11) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmt11->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmt11->error);
		}
		
		if (isset($_POST['te'])) {
			$sql12 = 'UPDATE
						US
					SET
						Wert = "on"
					WHERE ID = "2";';
		}
		else {
			$sql12 = 'UPDATE
						US
					SET
						Wert = ""
					WHERE ID = "2";';
		}
			
		$stmt12 = $db->prepare($sql12);
		if (!$stmt12) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmt12->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmt12->error);
		}
		
		if (isset($_POST['ko'])) {
			$sql13 = 'UPDATE
						US
					SET
						Wert = "on"
					WHERE ID = "3";';
		}
		else {
			$sql13 = 'UPDATE
						US
					SET
						Wert = ""
					WHERE ID = "3";';
		}
		$stmt13 = $db->prepare($sql13);
		if (!$stmt13) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmt13->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmt13->error);
		}
		
		if (isset($_POST['ag'])) {
			$sql14 = 'UPDATE
						US
					SET
						Wert = "on"
					WHERE ID = "4";';
		}
		else {
			$sql14 = 'UPDATE
						US
					SET
						Wert = ""
					WHERE ID = "4";';
		}
		$stmt14		= $db->prepare($sql14);
		if (!$stmt14) {
			die ('Es konnte kein SQL-Query vorbereitet werden: '.$db->error);
		}
		if (!$stmt14->execute()) {
			die ('Query konnte nicht ausgeführt werden: '.$stmt14->error);
		}
		
		echo "<p class=\"hinweis\">Daten wurden gespeichert!</p>\n";

	}
	
	$sql1 = "SELECT * FROM US WHERE Sektion = \"unter\" ORDER BY ID ASC";
	$result1 = $db->query($sql1);
	
	echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\">\n";
	echo "<fieldset>\n";
	echo "<legend>Unternehmensseiten</legend>\n";
	echo "<fieldset>\n";
	echo "<legend>Standardseiten</legend>";
	echo "<p>Diese Seiten werden nach <span class=\"hinweis\">§§ 6,8 Teledienstegesetz</span> benötigt!</p>";
	echo "<label>Impressum</label>\n";
	echo "<br />\n";
	echo "<label>Haftungsausschluss</label>\n";
	echo "<br />\n";
	echo "</fieldset>\n";
	echo "<br />\n";
	echo "<fieldset>\n";
	echo "<legend>Wählbare Seiten</legend>\n";
	while ($nt1 = $result1->fetch_assoc()) {
		echo "	<label>".$nt1['Name']."</label>\n";
		echo "	<input type=\"checkbox\" name=\"".$nt1['Kurz']."\" ";
		if ("on" == $nt1['Wert']) {
			echo "checked=\"checked\" ";
		}
		echo " />\n";
		echo "	<br />\n";
	}
	echo "</fieldset>\n";
	echo "	&nbsp;<br />\n";
	echo "	<input type=\"submit\" name=\"Send\" value=\"Speichern\" />\n";
	echo "	<input type=\"reset\" value=\"Rücksetzen\" />\n";
	echo "</fieldset>\n";
	echo "</form>\n";
}	
?>